<?php

namespace App\Services\Customer;

use App\Entities\Customer\PointEntity;
use App\Models\Customer\PointModel;
use CodeIgniter\HTTP\IncomingRequest;

class PointService extends CustomerService
{
    protected ?IncomingRequest $request = null;
    public function __construct(?IncomingRequest $request = null)
    {
        parent::__construct($request);
        $this->addClassName('Point');
    }
    public function getModelClass(): PointModel
    {
        return new PointModel();
    }
    public function getEntityClass(): PointEntity
    {
        return new PointEntity();
    }
    public function getFormFields(): array
    {
        return [
            "clientinfo_uid",
            "status",
            "title",
            "amount"
        ];
    }
    public function getFilterFields(): array
    {
        return ["clientinfo_uid", 'status'];
    }
    public function getBatchJobFields(): array
    {
        return ['status'];
    }
}
